------------------------------------------------------------------------------
--                                                                          --
--                An Ada2005 binding to the Qt C++ framework                --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2008 Vadim Godunko <vgodunko@gmail.com>                      --
--                                                                          --
-- QtAda is free software;  you can  redistribute it and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. QtAda is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License distributed with QtAda;  see file COPYING.  If not, write --
-- to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------
--  $Revision: 2733 $ $Date: 2008-05-14 08:54:18 +0400 (Wed, 14 May 2008) $
------------------------------------------------------------------------------
with Qt4.Events.Impl;

package Qt4.Window_State_Change_Events.Impl is

   type Q_Window_State_Change_Event_Impl is new Qt4.Events.Impl.Q_Event_Impl
     and Q_Window_State_Change_Event with null record;

   ---------------------------------------------------------------------------
   --! <Subprogram>
   --!    <Unit> Old_State
   --!    <Purpose> Подпрограмма обертка для вызова функции
   --! QWindowStateChangeEvent::oldState
   --!    <Exceptions>
   ---------------------------------------------------------------------------
   function Old_State (Self : not null access Q_Window_State_Change_Event_Impl)
     return Qt4.Window_States;

end Qt4.Window_State_Change_Events.Impl;
